package anfangsprojekt;

import javafx.application.Application;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

/**
 * Anfangsprojekt - hier soll ein Ball animiert werden. Als Ausgangsbasis können
 * Sie dieses Programm verwenden, dass ein sich drehendes Rechteck zeichnet.
 */
public class Anfangsprojekt extends Application {


    /**
     * Einstiegspunkt für JavaFX
     */
    @Override
    public void start(Stage primaryStage) {
        primaryStage.setTitle("Drehendes Rechteck");

        RechteckScene scene = new RechteckScene(new BorderPane(), 500, 500);
        primaryStage.setScene(scene);
        primaryStage.show();
    }

    /**
     * Normale java Einstiegsmethde
     *
     * @param args Command line parameters - ignored.
     */
    public static void main(String[] args) {
        launch(args);
    }
}
